Summary:   Pairing of machines for network testing
Name:      pairing
Version:   1.3
Release:   %mkrel 11
License:   GPLv2
Group:     Networking/Other
Url:       http://ahorvath.web.cern.ch/ahorvath/pairing/
Source:    %{name}-%{version}.tar.bz2

%description
Run this on a set of machines and get them paired up nicely for some
network-related activity.

It uses multicast to find potential partners and TCP to actually pair up with
them.

%prep
%setup -q

# honor user CFLAGS thus fixing empty debugsourcefiles.list
perl -pi -e 's/^(CFLAGS.*)-Wall(.*)/$1\$\(RPM_OPT_FLAGS\) -Wall$2/' Makefile

%build
make

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 pair %{buildroot}%{_bindir}/pair

%files
%{_bindir}/pair


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.3-11.mga10
+ Revision: 2195481
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 1.3-10.mga9
+ Revision: 1792208
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.3-9.mga8
+ Revision: 1515770
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3-8.mga7
+ Revision: 1300088
- Mageia 7 Mass Rebuild

* Thu Aug 31 2017 daviddavid <daviddavid> 1.3-7.mga7
+ Revision: 1150227
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Mon Feb 08 2016 umeabot <umeabot> 1.3-6.mga6
+ Revision: 947960
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-5.mga5
+ Revision: 742541
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-4.mga5
+ Revision: 683310
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 508777
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 362352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 erwan <erwan> 1.3-1.mga1
+ Revision: 24717
- imported package pairing


* Wed Jan 19 2011 Erwan Velu <erwanaliasr1@gmail.com> 1.3-1mga1
- new release 1.3

* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.1-4mdv2010.0
+ Revision: 430230
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1-3mdv2009.0
+ Revision: 241133
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 07 2007 Erwan Velu <erwan@mandriva.org> 1.1-1mdv2008.0
+ Revision: 59788
- Import pairing

